Loading...
Searching...
No Matches
NCVVector< T > Class Template Reference

NCVVector (1D). More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVVector< T >:

## Public Member Functions

| NCVVector ()
void | clear ()
NCVStatus | copySolid (NCVVector< T > &dst, cudaStream_t cuStream, std::size_t howMuch=0) const
T * | ptr () const
std::size_t | length () const
NCVMemoryType | memType () const

## Protected Attributes

T * | _ptr
std::size_t | _length
NCVMemoryType | _memtype

## Detailed Description

template<class T>
class NCVVector< T >

NCVVector (1D).

Definition at line 504 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVVector()

template<class T>

NCVVector< T >::NCVVector | ( |  | ) |

inline

Definition at line 510 of file NCV.hpp.

References clear().

## Member Function Documentation

## clear()

template<class T>

void NCVVector< T >::clear | ( |  | ) |

inline

Definition at line 515 of file NCV.hpp.

References _length, _memtype, and _ptr.

Referenced by NCVVector(), NCVVectorAlloc< T >::NCVVectorAlloc(), NCVVectorReuse< T >::NCVVectorReuse(), NCVVectorReuse< T >::NCVVectorReuse(), and NCVVectorAlloc< T >::~NCVVectorAlloc().

## copySolid()

template<class T>

NCVStatus NCVVector< T >::copySolid | ( | NCVVector< T > & | dst,
|  | cudaStream_t | cuStream,
|  | std::size_t | howMuch = 0 ) const

inline

Definition at line 522 of file NCV.hpp.

References _length, _memtype, and _ptr.

## length()

template<class T>

std::size_t NCVVector< T >::length | ( |  | ) | const

inline

Definition at line 550 of file NCV.hpp.

References _length.

Referenced by NCVVectorAlloc< T >::NCVVectorAlloc(), and NCVVectorReuse< T >::NCVVectorReuse().

## memType()

template<class T>

NCVMemoryType NCVVector< T >::memType | ( |  | ) | const

inline

Definition at line 551 of file NCV.hpp.

References _memtype.

## ptr()

template<class T>

T * NCVVector< T >::ptr | ( |  | ) | const

inline

Definition at line 549 of file NCV.hpp.

References _ptr.

## Member Data Documentation

## _length

template<class T>

std::size_t NCVVector< T >::_length

protected

Definition at line 556 of file NCV.hpp.

Referenced by clear(), copySolid(), length(), NCVVectorAlloc< T >::NCVVectorAlloc(), NCVVectorReuse< T >::NCVVectorReuse(), and NCVVectorReuse< T >::NCVVectorReuse().

## _memtype

template<class T>

NCVMemoryType NCVVector< T >::_memtype

protected

Definition at line 557 of file NCV.hpp.

Referenced by clear(), copySolid(), memType(), NCVVectorAlloc< T >::NCVVectorAlloc(), NCVVectorReuse< T >::NCVVectorReuse(), and NCVVectorReuse< T >::NCVVectorReuse().

## _ptr

template<class T>

T* NCVVector< T >::_ptr

protected

Definition at line 555 of file NCV.hpp.

Referenced by clear(), copySolid(), NCVVectorAlloc< T >::NCVVectorAlloc(), NCVVectorReuse< T >::NCVVectorReuse(), NCVVectorReuse< T >::NCVVectorReuse(), and ptr().

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp